=== libr/flag/Makefile ===
include ../config.mk

NAME=r_flag
DEPS=r_util
OBJS=flag.o zones.o tags.o

include ../rules.mk
